Subject: bug#24940: [PATCH] Add should-call, should-not-call, and their tests

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 Aug 2020 15:23:18 +0200

Gemini Lasswell <[email-masked]> writes:

>> I don't think our test suite should in general test whether some
>> functions are or aren't called during execution of the
>> command/function under test.  That's because we are not interested in
>> the fine details of the implementation of the features being tested,
>> we are interested in whether it does what it's supposed to do.  "What
>> it's supposed to do" means we should test the return values and the
>> side effects, a.k.a. "the behavior", and not how the code works
>> internally.
>
> I'll modify the tests I've written to focus on "the behavior".

Gemini, this was apparently never done?  Did you abandon this patch in
favour of Phillip's assess package?  (Which I see is in Melpa now.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no